import ResKeeper from "./ResKeeper";

const { ccclass, property } = cc._decorator;

@ccclass
export default class ListItem extends ResKeeper {

    private _alien_sprite: cc.Sprite = null;
    private _idx_lab: cc.Label = null;

    init(idx: number) {
        this._alien_sprite = this.node.getChildByName("alien").getComponent(cc.Sprite);
        this._idx_lab = this.node.getChildByName("idx").getComponent(cc.Label);
        this._idx_lab.string = idx.toString();
        this.loadRes("aliens/alien_" + this._getRandom(1, 15), cc.SpriteFrame, (error: Error, res: cc.SpriteFrame) => {
            (!error) && (this._alien_sprite.spriteFrame = res);
        });
    }

    private _getRandom(min: number, max: number) {
        return (min >= max) ? 0 : Math.floor(Math.random() * (max - min + 1)) + min;
    }
}
